Bug 1023619 - Review Request: perl-Log-Any-Adapter-Callback - Send Log::Any logs to a subroutine
Review Request: perl-Log-Any-Adapter-Callback - Send Log::Any logs to a subro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 02:08 EDT by Emmanuel Seyman
Modified: 2013-11-23 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Log-Any-Adapter-Callback-0.06-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 14:31:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2013-10-26 02:08:49 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Log-Any-Adapter-Callback/perl-Log-Any-Adapter-Callback.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Log-Any-Adapter-Callback/perl-Log-Any-Adapter-Callback-0.06-1.fc19.src.rpm
Description: 

This adapter lets you specify callback subroutine to be called by
Log::Any's logging methods (like $log->debug(), $log->error(), etc) and
detection methods (like $log->is_warning(), $log->is_fatal(), etc.).

Fedora Account System Username: eseyman
Rpmlint output : 1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mosaab Alzoubi 2013-10-26 18:45:23 EDT
This spec matches spec generated by cpanspec.

Also it succeeded in reviews ::


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/moceap/oji/1023619-perl-Log-Any-Adapter-
     Callback/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Log/Any(perl-Log-Any-Adapter, perl-Log-Any),
     /usr/share/perl5/vendor_perl/Log(perl-Log-Any-Adapter, perl-Log-Any),
     /usr/share/perl5/vendor_perl/Log/Any/Adapter(perl-Log-Any-Adapter, perl-
     Log-Any)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[!]: Package contains systemd file(s) if in need.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Log-Any-Adapter-Callback-0.06-1.fc19.noarch.rpm
          perl-Log-Any-Adapter-Callback-0.06-1.fc19.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Log-Any-Adapter-Callback
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Log-Any-Adapter-Callback (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.16.3)
    perl(Log::Any::Adapter::Base)
    perl(Log::Any::Adapter::Util)
    perl(base)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Log-Any-Adapter-Callback:
    perl(Log::Any::Adapter::Callback)
    perl-Log-Any-Adapter-Callback



Source checksums
----------------
http://www.cpan.org/authors/id/S/SH/SHARYANTO/Log-Any-Adapter-Callback-0.06.tar.gz :
  CHECKSUM(SHA256) this package     : fef1553972073427be415c6faa1aa6b783a565615736f69d317d23a3412ec92d
  CHECKSUM(SHA256) upstream package : fef1553972073427be415c6faa1aa6b783a565615736f69d317d23a3412ec92d




============================

I think it will approved.
Comment 2 Christopher Meng 2013-10-27 01:36:24 EDT
Remove lines:

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

As perl has fixed this ancient bug for years.

---------------

PACKAGE APPROVED.

Please fix issue above BEFORE SCM IMPORT.
Comment 3 Emmanuel Seyman 2013-10-27 05:47:14 EDT
(In reply to Christopher Meng from comment #2)
> Remove lines:
> find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;


Done.

Spec URL: http://people.parinux.org/~seyman/fedora/perl-Log-Any-Adapter-Callback/perl-Log-Any-Adapter-Callback.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Log-Any-Adapter-Callback/perl-Log-Any-Adapter-Callback-0.06-2.fc19.src.rpm

Thanks for the review.Requesting SCM.

New Package SCM Request
=======================
Package Name: perl-Log-Any-Adapter-Callback
Short Description: Send Log::Any logs to a subroutine
Owners: eseyman
Branches: f19 f20
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2013-10-28 08:16:10 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-10-28 11:36:40 EDT
perl-Log-Any-Adapter-Callback-0.06-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-Callback-0.06-2.fc20
Comment 6 Fedora Update System 2013-10-28 11:36:50 EDT
perl-Log-Any-Adapter-Callback-0.06-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-Callback-0.06-2.fc19
Comment 7 Fedora Update System 2013-10-28 15:18:56 EDT
perl-Log-Any-Adapter-Callback-0.06-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-11-23 14:31:37 EST
perl-Log-Any-Adapter-Callback-0.06-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-11-23 22:36:28 EST
perl-Log-Any-Adapter-Callback-0.06-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.